[openstack-glance/el6] Add back the SysV init scripts

Mark McLoughlin markmc at fedoraproject.org
Mon Oct 24 14:29:52 UTC 2011


commit cd203f0bb971346c7f229d3742d84247b40b51f9
Author: Mark McLoughlin <markmc at redhat.com>
Date:   Mon Oct 24 15:29:33 2011 +0100

    Add back the SysV init scripts

 openstack-glance-api.init         |  101 +++++++++++++++++++++++++++++++++++++
 openstack-glance-api.service      |   12 ----
 openstack-glance-registry.init    |  101 +++++++++++++++++++++++++++++++++++++
 openstack-glance-registry.service |   12 ----
 4 files changed, 202 insertions(+), 24 deletions(-)
---
diff --git a/openstack-glance-api.init b/openstack-glance-api.init
new file mode 100644
index 0000000..6ad5aa0
--- /dev/null
+++ b/openstack-glance-api.init
@@ -0,0 +1,101 @@
+#!/bin/sh
+#
+# openstack-glance-api OpenStack Image Service API server
+#
+# chkconfig:   - 20 80
+# description: OpenStack Image Service (code-named Glance) API server
+
+### BEGIN INIT INFO
+# Provides:
+# Required-Start: $remote_fs $network $syslog
+# Required-Stop: $remote_fs $syslog
+# Default-Stop: 0 1 6
+# Short-Description: Glance API server
+# Description: OpenStack Image Service (code-named Glance) API server
+### END INIT INFO
+
+. /etc/rc.d/init.d/functions
+
+suffix=api
+prog=openstack-glance-$suffix
+exec="/usr/bin/glance-$suffix"
+config="/etc/glance/glance-$suffix.conf"
+pidfile="/var/run/glance/glance-$suffix.pid"
+
+[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
+
+lockfile=/var/lock/subsys/$prog
+
+start() {
+    [ -x $exec ] || exit 5
+    [ -f $config ] || exit 6
+    echo -n $"Starting $prog: "
+    daemon --user glance --pidfile $pidfile "$exec --config-file $config --debug --verbose &>/dev/null & echo \$! > $pidfile"
+    retval=$?
+    echo
+    [ $retval -eq 0 ] && touch $lockfile
+    return $retval
+}
+
+stop() {
+    echo -n $"Stopping $prog: "
+    killproc -p $pidfile $prog
+    retval=$?
+    echo
+    [ $retval -eq 0 ] && rm -f $lockfile
+    return $retval
+}
+
+restart() {
+    stop
+    start
+}
+
+reload() {
+    restart
+}
+
+force_reload() {
+    restart
+}
+
+rh_status() {
+    status -p $pidfile $prog
+}
+
+rh_status_q() {
+    rh_status >/dev/null 2>&1
+}
+
+
+case "$1" in
+    start)
+        rh_status_q && exit 0
+        $1
+        ;;
+    stop)
+        rh_status_q || exit 0
+        $1
+        ;;
+    restart)
+        $1
+        ;;
+    reload)
+        rh_status_q || exit 7
+        $1
+        ;;
+    force-reload)
+        force_reload
+        ;;
+    status)
+        rh_status
+        ;;
+    condrestart|try-restart)
+        rh_status_q || exit 0
+        restart
+        ;;
+    *)
+        echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+        exit 2
+esac
+exit $?
diff --git a/openstack-glance-registry.init b/openstack-glance-registry.init
new file mode 100644
index 0000000..df4fbae
--- /dev/null
+++ b/openstack-glance-registry.init
@@ -0,0 +1,101 @@
+#!/bin/sh
+#
+# openstack-glance-api OpenStack Image Service API server
+#
+# chkconfig:   - 20 80
+# description: OpenStack Image Service (code-named Glance) API server
+
+### BEGIN INIT INFO
+# Provides:
+# Required-Start: $remote_fs $network $syslog
+# Required-Stop: $remote_fs $syslog
+# Default-Stop: 0 1 6
+# Short-Description: Glance API server
+# Description: OpenStack Image Service (code-named Glance) API server
+### END INIT INFO
+
+. /etc/rc.d/init.d/functions
+
+suffix=registry
+prog=openstack-glance-$suffix
+exec="/usr/bin/glance-$suffix"
+config="/etc/glance/glance-$suffix.conf"
+pidfile="/var/run/glance/glance-$suffix.pid"
+
+[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
+
+lockfile=/var/lock/subsys/$prog
+
+start() {
+    [ -x $exec ] || exit 5
+    [ -f $config ] || exit 6
+    echo -n $"Starting $prog: "
+    daemon --user glance --pidfile $pidfile "$exec --config-file $config --debug --verbose &>/dev/null & echo \$! > $pidfile"
+    retval=$?
+    echo
+    [ $retval -eq 0 ] && touch $lockfile
+    return $retval
+}
+
+stop() {
+    echo -n $"Stopping $prog: "
+    killproc -p $pidfile $prog
+    retval=$?
+    echo
+    [ $retval -eq 0 ] && rm -f $lockfile
+    return $retval
+}
+
+restart() {
+    stop
+    start
+}
+
+reload() {
+    restart
+}
+
+force_reload() {
+    restart
+}
+
+rh_status() {
+    status -p $pidfile $prog
+}
+
+rh_status_q() {
+    rh_status >/dev/null 2>&1
+}
+
+
+case "$1" in
+    start)
+        rh_status_q && exit 0
+        $1
+        ;;
+    stop)
+        rh_status_q || exit 0
+        $1
+        ;;
+    restart)
+        $1
+        ;;
+    reload)
+        rh_status_q || exit 7
+        $1
+        ;;
+    force-reload)
+        force_reload
+        ;;
+    status)
+        rh_status
+        ;;
+    condrestart|try-restart)
+        rh_status_q || exit 0
+        restart
+        ;;
+    *)
+        echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+        exit 2
+esac
+exit $?


More information about the scm-commits mailing list